﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1042: (1 year) VER VISA /5800A+1Ch
DATE:                  2018-09-27 10:32:55
AUTHOR:                Fluke
REVISION:              $Revision: 25076 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       171
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         60MH                         1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.006  IF           NOT(VERSIONCHECK("8.0"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum DUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.018  VISA         *RST

  1.019  HEAD         DUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 *IDN? VISA
  1.021  MATH         @DUT_Model = "TBS 1042"
  1.022  MATH         @DUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.024  JMPL         END                          @Abort

  1.025  CALL         Sub Tek TBS1000 Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.026  MATH         @SourceMultiCh = 0

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to review the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Tek TBS1000 VER Required Equipment /5800
  1.031  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.032  CALL         Sub Tek TBS1000 Self-Test VISA
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.035  JMPL         END                          @Abort

  1.036  MATH         @Chan = 1
  1.037  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5800
  1.038  JMPL         VERTICAL_POSITION_CH1

  1.039  LABEL        DCV_CH2
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5800
  1.042  JMPL         VERTICAL_POSITION_CH2

  1.043  LABEL        BANDWIDTH_CH1
  1.044  MATH         @Chan = 1
  1.045  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5800
  1.046  JMPL         TRIG_CH1

  1.047  LABEL        BANDWIDTH_CH2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5800
  1.050  JMPL         TRIG_CH2

  1.051  LABEL        TRIG_CH1
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5800
  1.054  JMPL         SAMPLE_RATE_DELAY_TIME

  1.055  LABEL        TRIG_CH2
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5800

  1.058  MATH         @Chan = 1
  1.059  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5800

  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5800
  1.062  JMPL         END

  1.063  LABEL        SAMPLE_RATE_DELAY_TIME
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /5800
  1.066  JMPL         BANDWIDTH_CH2

  1.067  LABEL        VERTICAL_POSITION_CH1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /5800
  1.070  JMPL         DCV_CH2

  1.071  LABEL        VERTICAL_POSITION_CH2
  1.072  MATH         @Chan = 2
  1.073  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /5800
  1.074  JMPL         BANDWIDTH_CH1

  1.075  LABEL        END

  1.076  IF           @Abort
  1.077  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.078  ENDIF

  1.079  VISA         *RST
  1.080  END
